<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc')">

  <script src="https://unpkg.com/vue@3"></script>
</head>

<body>
  <nav th:replace="@{/include/navbar}"></nav>

  <main>
    <div class="container-fluid p-0"><img src="img/banniere.jpg" class="img-fluid w-100" alt="photo dvd" /></div>
    <div class="text-white m-5">
      <h2>La bibliliothèque</h2>
    </div>
    <div class="container text-white ">
      <p>Ici, vous trouverez tous les dvd disponibles à l'échange. Ainsi, chaque dvd offre d'échange contient le titre, 
        l'année de sortie, la catégorie et une description du film. C'est grâce au partage de chacun que cette communauté autour du troc peut exister. Merci !
      </p>
    </div>
    <div class="album">
      <div class="container-fluid">
        <div class="row row-cols-1 row-cols-sm-2 row-cols-md-4 g-3 p-5">
          <div class="col" th:each="dvd : ${dvds}">
            <div class="card shadow-sm p-3 m-3">
              <a th:href="@{/dvd/} + ${dvd.id}"><img th:src="${dvd.image}" class="img-fluid w-100 dvdimg"
                  alt="photo dvd" /></a>
              <div class="card-body">
                <p class="card-text title fs-5 fw-bold" th:text="${dvd.title}">Card title</p>
                <p class="card-text ">Ajouté par <a th:href="@{/user-library/} + ${dvd.user.id}"><span
                      class="text-danger fw-bold" th:text="${dvd.user.username}">Nom
                      utilisateur</span></a></p>
                <div class="d-flex justify-content-between align-items-center">
                  <div class="btn-group">
                    <a th:href="@{/dvd/} + ${dvd.id}"><button type="button"
                        class="btn btn-sm btn-primary border-2 border-white"><i class="fas fa-eye"></i></button></a>
                    <button type="button" class="btn btn-sm btn-success border-2 border-white"><i
                        class="fas fa-exchange-alt"></i></button>
                  </div>
                  <small class="text-muted"><span class="date text-center"
                      th:text="${#dates.format(new java.util.Date(dvd.addedAt), 'dd/MM/yyyy')}"></span></small>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>
    </div>

    <div class="container p-3 bg-light mb-5 rounded-3">
      <form>
        <h3 class="text-secondary fw-bold"><strong>Recherche avancée</strong></h3>
        <div id="app" class="mb-3">
          <label for="exampleInputText" class="form-label">Titre</label>
          <input type="text" class="form-control" id="exampleInputText" placeholder="recherche par titre"
            @input="fetchSearch()" v-model="search">
          <div class="list-group">
            <a :href="'/dvd/'+item.id" class="list-group-item list-group-item-action" v-for="item in results">
              {{item.title}}
            </a>
          </div>
        </div>
        <div class="mb-3">
          <label for="exampleInputCat" class="form-label">Catégorie</label>
          <input type="text" class="form-control" id="exampleInputCat" placeholder="recherche par catégorie">
        </div>
        <div class="mb-3">
          <label for="exampleInputDate" class="form-label">Année</label>
          <input type="year" class="form-control" id="exampleInputDate" placeholder="recherche par année">
        </div>
        <button type="submit" class="btn send btn-dark">Envoyer</button>
      </form>
    </div>

  </main>
  <script>
    Vue.createApp({
      data() {
        return {
          search: '',
          results: []
        }
      },
      methods: {
        async fetchSearch() {
          if (this.search.length > 2) {
            const reponse = await fetch('/api/dvd?search=' + this.search);
            this.results = await reponse.json();
          } else {
            this.results = [];
          }
        }
      }
    }).mount('#app')
  </script>


  <div th:replace="@{/include/footer}"></div>
  <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>